# Struct ethcore_rpc::v1::types::RpcSettings [−] [src]

    pub struct RpcSettings {
        pub enabled: bool,
        pub interface: String,
        pub port: u64,
    }

Values of RPC settings.

## Fields

`enabled: bool`

Whether RPC is enabled.

`interface: String`

The interface being listened on.

`port: u64`

The port being listened on.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)